{
	
	window.onresize = function () {
		if(taskbar) {
			if (taskbar.dom.style.display != 'none')
				taskbar.refresh();
		}
		if (aSidebar) {
			if (aSidebar.dom.style.display != 'none')
				aSidebar.redraw();
		}
	}

	window.onscroll = function () {
		if ((browser.ie) && (taskbar)) {
			if (taskbar.dom.style.display != 'none')		
				taskbar.refresh();
		}
		if ((browser.ie) && (aSidebar)) {
			if (aSidebar.dom.style.display != 'none')
				aSidebar.redraw();
		}		
	}
	
	// 11-15-06 - Julien
	window.onbeforeunload = function(event) {
		if (taskbar) {
			var text = STR['onbeforeunload'];
			//if (browser.ie)
			//	event.returnValue = text;
			//else
			return text;
		}
	}
	
}

// localize admin and login widgets
function localize_widgets() {

	// localize login widget first
	var loginWidget = $('loginForm');

	// find all text elements and update them
	if (loginWidget) {
		$('loginFormLogin').innerHTML = STR['login_login'];
		$('loginFormUsername').innerHTML = STR['login_username'];
		$('loginFormPassword').innerHTML = STR['login_password'];
	}
	
	// localize admin table widget
	var adminTableWidget = $('admintableprivileges');
	
	// find all text elements and update them
	if (adminTableWidget) {
		// document.getElementById('adminTablePrivilegesAccessControl').innerHTML = STR['admin_accesscontrol'];
		$('adminGroupPopup').innerHTML = STR['admin_grouppopup'];
		// document.getElementById('adminGroupPopupForPrefs').innerHTML = STR['admin_grouppopupforprefs'];
		$('adminTablePrivilegesSelections').innerHTML = STR['admin_selections'];
		$('adminTablePrivilegesAllowAccess1').innerHTML = STR['admin_allowaccess'];
		$('adminTablePrivilegesProperties').innerHTML = STR['admin_properties'];
		$('adminTablePrivilegesAllowAccess2').innerHTML = STR['admin_allowaccess'];
		$('adminTablePrivilegesToggleAll1').innerHTML = STR['admin_toggleall'] + $('adminTablePrivilegesToggleAll1').innerHTML;
		$('adminTablePrivilegesToggleAll2').innerHTML = STR['admin_toggleall'] + $('adminTablePrivilegesToggleAll2').innerHTML;
		
		// general prefs tab
		$('adminTaskbarLocation').innerHTML = STR['admin_taskbarlocation'];
		$('adminTaskbarTop').innerHTML = STR['admin_taskbartop'];
		$('adminTaskbarBottom').innerHTML = STR['admin_taskbarbottom'];
		$('adminStyle').innerHTML = STR['admin_style'];
//		$('adminPreload').innerHTML = STR['admin_preload'];
		
		// ddw manager tab
		$('adminDDWList').innerHTML = STR['adminDDW_list'];
		$('adminDDWTitle').innerHTML = STR['adminDDW_title'];
		$('adminDDWContent').innerHTML = STR['adminDDW_content'];
		$('adminDDWType').innerHTML = STR['adminDDW_type'];
		$('adminDDWNewLink').innerHTML = STR['adminDDW_newLink'];
		$('adminDDWNewHTML').innerHTML = STR['adminDDW_newHTML'];
		$('adminDDWNewText').innerHTML = STR['adminDDW_newText'];
		$('adminDDWAssociatedTo').innerHTML = STR['adminDDW_associatedTo'];
		$('adminDDWPortal').innerHTML = STR['adminDDW_portal'];
		$('adminDDWOther').innerHTML = STR['adminDDW_other'];	
		$('adminDDWCreate').innerHTML = STR['adminDDW_create'];
		$('adminDDWCancel').innerHTML = STR['adminDDW_cancel'];
		$('adminDDWcreateButton').value = STR['adminDDW_create'];
		
		// query manager tab
		$('adminQueryList').innerHTML = STR['adminQuery_List'];
		$('adminQuerycreateButton').value = STR['adminQuery_save'];
		$('adminQueryCreate').innerHTML = STR['adminQuery_create'];
		$('adminQueryCancel').innerHTML = STR['adminQuery_cancel'];
		$('QueryListFilterTitle').innerHTML = STR['adminQuery_filter'];
		$('QueryListAllRecordsTitle').innerHTML = STR['adminQuery_allrecords'];
		$('adminQuerySelection').innerHTML = STR['adminQuery_createtitle'];
		$('adminQueryNewTitle').innerHTML = STR['adminQuery_new'];
		$('adminQueryDynamicTitle').innerHTML = STR['adminQuery_dynamic'];
		$('adminQueryUseTemplateCBTitle').innerHTML = STR['adminQuery_template'];
		$('adminQueryUseTemplateCBTitle2').innerHTML = STR['adminQuery_template2'];
		$('adminQueryNext').value = STR['adminQuery_Next'];
		$('adminqueryDynamicfieldPopup').options[0].innerHTML = STR['adminQuery_NotAvailable'];
		$('adminquerytemplatefieldPopup').options[0].innerHTML = STR['adminQuery_NotAvailable'];
		$('adminQuerySortFieldPopup').options[0].innerHTML = STR['adminQuery_NotAvailable'];
		$('adminQueryConditionFieldPopup').options[0].innerHTML = STR['adminQuery_NotAvailable'];
		$('adminQuerySetNameTitle').innerHTML = STR['adminQuery_Name'];
		$('adminQuerySetSelectionTitle').innerHTML = STR['adminQuery_BoundTo'];
		$('adminQuerySortFieldTitle').innerHTML = STR['adminQuery_SortField'];
		$('adminQuerySortOrderTitle').innerHTML = STR['adminQuery_SortOrder'];
		$('adminQueryMaxNbRecordsTitle').innerHTML = STR['adminQuery_MaxNb'];
		$('adminQueryAddACondition').innerHTML = STR['adminQuery_AddCondition'];
		$('adminQueryConditionField').innerHTML = STR['adminQuery_Field'];
		$('adminQueryConditionOperator').innerHTML = STR['adminQuery_Operator'];
		$('adminQueryCondition').innerHTML = STR['adminQuery_Value'];
		$('adminQueryConditonType').innerHTML = STR['adminQuery_IsAMethod'];
		$('adminQueryConditionLink').innerHTML = STR['adminQuery_Link'];
		$('adminQueryConditionAddUpdate').value = STR['adminQuery_Add'];
		$('adminQueryConditionsTitle').innerHTML = STR['adminQuery_Conditions'];
		$('adminQuerySortOrderPopup').options[0].innerHTML = STR['adminQuery_Asc'];
		$('adminQuerySortOrderPopup').options[1].innerHTML = STR['adminQuery_Desc'];
		$('adminQueryConditionOperatorPopup').options[0].innerHTML = STR['adminQuery_Operator1'];
		$('adminQueryConditionOperatorPopup').options[1].innerHTML = STR['adminQuery_Operator2'];
		$('adminQueryConditionOperatorPopup').options[2].innerHTML = STR['adminQuery_Operator3'];
		$('adminQueryConditionOperatorPopup').options[3].innerHTML = STR['adminQuery_Operator4'];
		$('adminQueryConditionOperatorPopup').options[4].innerHTML = STR['adminQuery_Operator5'];
		$('adminQueryConditionOperatorPopup').options[5].innerHTML = STR['adminQuery_Operator6'];
		$('adminQueryConditionOperatorPopup').options[6].innerHTML = STR['adminQuery_Operator7'];
		$('adminQueryConditionOperatorPopup').options[7].innerHTML = STR['adminQuery_Operator8'];
		$('adminQueryConditionLinkPopup').options[0].innerHTML = STR['adminQuery_Link1'];
		$('adminQueryConditionLinkPopup').options[1].innerHTML = STR['adminQuery_Link2'];
			
	}	
}

function on_login_error()
{
	// alerts the user that there was an error logging in
	$("loginStatus").style.display = "";
	assert("loginStatus", "Invalid username or password!");
	
}

function on_error(errorCode)
{
	//alert(errorCode);
}

// user customizable on login event
function onLoginSuccess()
{

	var loginStatus = $("loginStatus");
	if (loginStatus)
		loginStatus.style.display = "none";

	// the login is displayed on the dashboard
	do_hideDashboard($('loginForm'));
		
	CheckPreferences();

if (AdminShowAdmin) {
	LoadAdmin();
	do_showDashboard($('adminSettings'), '1');
	if (tablelistinitialized) {
		admintablegridobject.viewport.refresh();

		admintablegridobject.grid.dom.style.maxHeight = "150px";
		admintablegridobject.viewport.vscrollbar.dom.style.top = admintablegridobject.viewport.content.offsetTop+"px";
		admintablegridobject.viewport.vscrollbar.dom.style.left = admintablegridobject.viewport.content.offsetLeft + admintablegridobject.viewport.content.offsetWidth+"px";	
	}
}
else {
	//do_roundCorners($('tp'));
	
	// show taskbar
	//do_showTaskbar();
	if (!taskbar)
		taskbar = new taskbarObject();

		
	var body = document.body;
	
	setStyle (taskbar.dom, 'display','block');

	// draw a table list
	do_drawSidebar();

	
	// hide splash screen
	var ss = $('splashscreen');
	if (ss)
		ss.style.display = "none";
	
	body.className = "niceBody";
}	
	localize_widgets();
	initTooltop();

}

// user customizable on login event
function onLogoutSuccess() {

	//alert (STR['logoutsuccess']);
	window.onbeforeunload = null;
	window.location = "index.html";


}

function onLogoutFail() {

	//alert (STR['logoutfail']);
	window.onbeforeunload = null;
	window.location = "index.html";

}

function on_login_success()
{

	// initialize bridge
	if (dax_bridge) {
		dax_bridge.sessionId = connection.sessionId;
		if (userlanguage=="")
			dax_bridge.language = connection.language;
		else
			dax_bridge.language = userlanguage;
		dax_bridge.updateTables(true);
		dax_bridge.username = connection.username;
	}

	dax_bridge.localize();

	onLoginSuccess();	
	
	if (callback_onLoginSuccess)
		callback_onLoginSuccess (dax_bridge.username);
}

/**
 * Event to handle when a tab is switched to another tab
 */
function on_tab_switched(tab)
{
	// do an inline query
	var fieldid = tab.fieldid;
	var value = tab.label;
	
	if (fieldid == -1)
		value = "*";
	
	inline_query(tab.obj, fieldid, value);
}

function CheckPreferences() {
	
	var sessionId = connection.sessionId;
 
 	if (sessionId == "")
 		return;
 		
 	var http_request = getXMLHttpRequest();
		
	if (http_request) {
		var url = connection.address.getgeneralprefs+"?sessionId="+sessionId;
		
		http_request.onreadystatechange = 
			function() {
				onGetPrefs(http_request);
			};
			
		try {
		
			debugAlert('<b>DAX:</b>'+'<a href="'+url+'" target="_blank">'+url+'</a>');
		
			http_request.open("GET", url, true);
	  	  	http_request.send(null);
	   	} catch(e) {
		   	http_request.onreadystatechange = null;
	   		delete http_request;
		}
	}
	
	return true;
};

function onGetPrefs(http_request)
{
	if (http_request.readyState != 4)
		return;

	// parse through the XML
	var result = http_request.responseXML.getElementsByTagName("Preferences").item(0);
	var errorResponse = checkResponse(http_request);
	
	if (!isDefined(result)) {
		// return this.onerror(http_request); // won't work
		return false;
	}
	
	/*
	
	var preloadpref= result.getElementsByTagName("preloadmaxnb");
	if ((preloadpref) && (preloadpref.item(0)))
		objectsToPreload = preloadpref.item(0).lastChild.nodeValue;
	else
		objectsToPreload = 0;
	
	TableHListPreload();
	
	*/
	
	var taskbarposition= result.getElementsByTagName("taskbar");
	
	if (taskbarposition.length>0) {
		if (taskbar) 
			taskbar.position(taskbarposition.item(0).lastChild.nodeValue);
	}

	var stylepref= result.getElementsByTagName("style");
	
	if (stylepref.length>0) {
		setActiveStyleSheet(stylepref.item(0).lastChild.nodeValue); WindowManager.redraw();
	}
	
	if(taskbar) {
		if (taskbar.dom.style.display != 'none')
			taskbar.refresh();
	}		
	
	if (aSidebar) {
		aSidebar.redraw(true);
		//aSidebar.show();
	}
		
	http_request.onreadystatechange = null;
	delete http_request;
};