/**
 * @author Jonathan Le
 */

// Loads specific language files
var languages = new Array(); 

// add or remove utf-8 languages here 
languages[0] = '/resources_en.js'; // English
languages[1] = '/resources_fr.js'; // French
languages[2] = '/resources_de.js'; // German
languages[3] = '/resources_es.js'; // Spanish

for (var i  in languages) {
	document.write("<script language='javascript' type='text/javascript' charset='utf-8' src='/dax/js/localization"+languages[i]+"'></script>");
}

// Loads specific language files
var languages = new Array(); 

// add or remove utf-16 languages here 
languages[0] = '/resources_ja.js'; // Japanese

for (var i  in languages) {
	document.write("<script language='javascript' type='text/javascript' charset='utf-16' src='/dax/js/localization"+languages[i]+"'></script>");
}

// load framework files
 
var includes = new Array();

includes[0] = '/dax/js/tools.js';
includes[1] = '/dax/js/window.js';
includes[2] = '/dax/js/connect.js';
includes[3] = '/dax/js/stubs.js';
includes[4] = '/dax/js/handlers.js';
//includes[5] = '/js/resources.js';
//includes[6] = '/js/objects.js';
includes[7] = '/dax/js/viewport.js';
includes[8] = '/dax/js/grid.js';
includes[9] = '/dax/js/hl.js';
includes[10] = '/dax/js/tab.js';
includes[11] = '/dax/js/contextmenu.js';
includes[12] = '/dax/js/editor.js';
includes[13] = '/dax/js/calendar.js';
includes[14] = '/dax/js/taskbar.js';
includes[15] = '/dax/js/toolbar.js';
// includes[16] = '/js/navbar.js';
includes[17] = '/dax/js/bridge.js';
includes[18] = '/dax/js/admin.js';
includes[19] = '/dax/js/sidebar.js';
includes[20] = '/dax/js/ddw.js';
includes[21] = '/dax/js/callbacks.js';
includes[22] = '/dax/js/queryengine.js';
includes[23] = '/dax/js/charts.js';
includes[24] = '/dax/js/reports.js';
//includes[25] = '/js/editorcustom.js';
includes[26] = '/dax/js/datamatrix.js';

//includes[21] = '/js/localization/include.js';

// load init last of all
includes[includes.length] = '/dax/js/init.js';

// javascript includes
for (var i  in includes) {
	document.write("<script language='javascript' charset='ISO-8859-1' type='text/javascript' src='"+includes[i]+"'></script>");
}

// HTML template pages
var inlines = new Array();

inlines[0] = 'framework';
//inlines[1] = 'upload';
inlines[1] = 'admin';

for (var templates in inlines) {
	document.write("<iframe id='ifrm_"+inlines[templates]+"' class='daxinline' name='"+inlines[templates]+"' src='/dax/js/templates/"+inlines[templates]+".html?random=" + Math.random() + "' width='0' height='0' frameborder='0'></iframe>");
}
