﻿// resources.js

// German
var STR_DE = {
	
	/* BEGIN LOCALIZATION  */
	
	// messages
	// depreciated by backend errors
	// will be kept around until mid Oct for backwards compatibility
	status_save_success		: "Gesichert!",
	status_save_fail		: "Sicherung fehlgeschlagen!",
	status_locked			: "Nur lesen",
	status_err_number		: "Ungültiger numerischer Wert.",
	status_err_time			: "Ungültige Zeit.",
	status_err_default		: "Ungültige Eingabe.",
	status_delete_success 	: "Datensatz gelöscht.",
	status_err_delete		: "Fehler beim löschen.",
	status_err_required		: "Felder in Rot sind zwingend.",
	status_err_dup			: "Eindeutiger Wert erforderlich.",
	status_err_date			: "Ungültiges Datum.",
	status_err_intLength	: "Ganzzahlfeld unterstützt nicht mehr als 5 Ziffern.",
	status_err_longIntLength: "Lange Ganzzahl unterstützt nicht mehr als 10 Ziffern.",
	
	// generic messages
	loading					: "Lade...",
	none					: "Keine",
	search					: "Suchen",
	fields					: "Felder",
	
	//toolbar, generic, used by several objects
	button_create			: "Erzeuge",
	button_refresh			: "Neu laden",
	button_delete			: "Löschen",
	button_save				: "Speichern",
	button_cancel			: "Abbrechen",
	button_ddw1				: "DDW",
	button_close			: "Schließen",
	button_choose			: "Auswählen",
	
	// grid
	view_image				: "Bild anzeigen",
	confirm_delete_records 	: "Datensätze löschen?",
	all						: "Alle", //for All Records

	// data window tabs tooltips
	and						: "UND", 
	starts_with				: "beginnt mit", 
	
	// calendar
	calendar_month			: ['Januar','Februar','März','April','Mai','Juni','Juli','August','September','Oktober','November','Dezember'],
	calendar_month_abr		: ['Jan','Feb','Mar','Apr','Mai','Jun','Jul','Aug','Sep','Okt','Nov','Dez'],
	calendar_weekday		: ['Son','Mon','Die','Mit','Don','Fre','Sat'],
	
	// calendar view
	
	// toolbar, date range
	calendar_toolbar_range		: "Bereich",		// Range Field_X to Field_Y
	calendar_toolbar_to			: "bis",
	calendar_toolbar_display	: "Anzeigen",		// Display Field_Z
	calendar_toolbar_none		: "Nicht",			// don't use field for Field_y
	
	// taskbar
	taskbar_admin_label		: "Einstellungen",		// Admin button
	taskbar_edit			: "Bearbeiten",			// Edit WindowX label
	taskbar_views			: "Portal",				// always displayed in DAX app
	taskbar_debug			: "Konsole",			// debugger
	image					: "Bild",				// Image X
	
	// admin
	//
	
	// main tabs
	admin_generalprefs		: "Allgemeine Einstellungen",
	admin_accesscontroltab	: "Zugangskontrolle",
	admin_ddwmanager		: "DDW Manager", 
	admin_querymanager		: "Query Manager",
	
	// general prefs tab
	admin_taskbarlocation	: "Position Taskbar Position:", 
	admin_taskbartop		: "Oben",
	admin_taskbarbottom		: "Unten",
	admin_style				: "Stil:",	
	admin_preload			: "Anzahl vorgeladener Auswahlen:",

	// ddw tab
	adminDDW_list			: "DDWs",
	adminDDW_title			: "Titel",
	adminDDW_content		: "Inhalt",
	adminDDW_type			: "Typ",
	adminDDW_newLink		: "Neues Fenster - Link",
	adminDDW_newHTML		: "Neues Fenster - HTML-Methode",
	adminDDW_newText		: "Status-Meldung - Text-Methode",
	adminDDW_associatedTo	: "Zugeordnet",
	adminDDW_portal			: "Portal",
	adminDDW_other			: "Andere",
	adminDDW_create			: "Erzeugen",
	adminDDW_cancel			: "Abbrechen",	
	adminDDW_noDDWs			: "Es gibt noch keine DDW's.",
	adminDDW_to				: "zu",
	
	// query tab
	adminQuery_List			: "Gespeicherte Suchen",
	
	adminQuery_name			: "Name für Suche",
	adminQuery_text			: "Suche",
	adminQuery_Selection	: "Auswahl",
	
	adminQuery_create		: "Neu",
	adminQuery_save			: "Speichern",
	adminQuery_cancel		: "Abbrechen",
	
	adminQuery_noQueries	: "Es gibt noch keine abgespeicherten Suchen.",
	adminQuery_filter		: "Filter:",
	adminQuery_allrecords	: "Zeige 'Alle Datensätze' Eintrag:",
	adminQuery_all			: "Alle",
	adminQuery_createtitle	: "Für diese Tabelle eine abgespeicherte Suche anlegen:",	
	adminQuery_new			: "Neue Suche anlegen:",	
	adminQuery_dynamic		: "Dynamische Suche festlegen:",	
	adminQuery_template		: "Diese Vorlage verwenden:",	
	adminQuery_template2	: " und auf dieses Feld anwenden:",	
	adminQuery_Next			: "Weiter",	
	adminQuery_NotAvailable	: "Nicht verfügbar",	
	adminQuery_error1		: "Bitte eine Tabelle auswählen",	
	adminQuery_error2part1	: "Es existiert bereits eine Suche ",	
	adminQuery_error2part2	: " für diese Tabelle.",	
	adminQuery_error3		: "Bitte geben Sie einen Namen ein",
	adminQuery_Name			: "Name: ",	
	adminQuery_BoundTo		: " verbunden mit:",	
	adminQuery_SortField	: "Sortiere: Feld: ",	
	adminQuery_SortOrder	: "Sortierfolge:",	
	adminQuery_MaxNb		: "Maximale Anzahl Datensätze: ",	
	adminQuery_AddCondition	: "Bedingung hinzufügen:",	
	adminQuery_Field		: "Feld:",	
	adminQuery_Operator		: "Bedingung:",	
	adminQuery_Value		: "Wert:",	
	adminQuery_IsAMethod	: "Ist eine Methode:",	
	adminQuery_Link			: "Verknüpfung:",	
	adminQuery_Add			: "Hinzufügen",	
	adminQuery_Conditions	: "Bedingungen:",	
	adminQuery_Asc			: "Auf",	
	adminQuery_Desc			: "Ab",
	adminQuery_Operator1	: "Gleich",
	adminQuery_Operator2	: "Ungleich",
	adminQuery_Operator3	: "Kleiner",
	adminQuery_Operator4	: "Größer",
	adminQuery_Operator5	: "Kleiner oder gleich",
	adminQuery_Operator6	: "Größer oder gleich",
	adminQuery_Operator7	: "Beginnt mit",
	adminQuery_Operator8	: "Endet mit",
	adminQuery_Link1		: "Und",
	adminQuery_Link2		: "Oder",
	adminQuery_FieldTitle	: "Feld",
	adminQuery_OperatorTitle: "Operator",
	adminQuery_ValueTitle	: "Wert",
	adminQuery_LinkTitle	: "Verknüpfung",
	adminQuery_DynamicQuery : "Dynamische Suchen",
	adminQuery_DDTs			: "Data Driven Tabs basierend auf ",
	adminQuery_dateTip		: "JJJJ-MM-TT",  // non localizeable
	adminQuery_error4		: "Bitte mindestens eine Bedingung anlegen",
	adminQuery_error5		: "Für dieses Feld existiert bereits eine dynamische Suche.",

	// access control tab
	admin_accesscontrol		: "Admin-Zugangskontrolle",
	admin_grouppopup		: "Berechtigung anzeigen für:&nbsp;",
	admin_grouppopupforprefs: "Einstellungen anzeigen für:&nbsp;",
	admin_selections		: "Portlets",
	admin_properties		: "Einstellungen",
	admin_allowaccess		: "Zugriff erlauben",
	admin_allusers			: "Alle Anwender",
	admin_toggleall			: "Alle umschalten: ",	
	admin_none			: "Keine",
	
	admin_view_titles		: [ "Grid" , "Kalender" , "Datenbaum", "Daten-Matrix", "Bild-Matrix" ],
	admin_grid_table_labels	: [ "Position", "Zugriffsrechte", "Echter Name", "DAX Alias", "Stil", "Views" ],
	admin_grid_field_labels	: [ "Position", "Datentypen", "Echter Name", "DAX Alias", "Listenansicht", "Detailansicht", "Formatierung"	],

	
	// load page
	// login widget
	login_login				: "Anmeldung",
	login_username			: "Anwender",
	login_password			: "Kennwort",

	// login and logout
	logoutsuccess			: "Sie wurden erfolgreich abgemeldet.",
	logoutfail				: "Abmeldung fehlgeschlagen.",
	logoutconfirm			: "Wirklich abmelden?",
		
	// admin, misc
	new_view				: "Neue View",
	delete_view				: "View löschen",
	no_relation_found		: "Keine Relation gefunden.",
	go						: "Gehe zu",
	
	top_columns				: [ "Position", "Echter Name", "DAX Alias", "Typ", "Stil", "DDW Buttons", "Views" ],		
	bottom_columns			: [ "Position","Echter Name","DAX Alias","Typ","Format","Umbruch","OnLoad Event","OnChange Event","DDW Link"],
	
	// window titles
	image_viewer			: "Bildanzeige",
	
	// data tree
	select_branch			: "Bitte wählen Sie einen Abschnitt zur Erzeugung der Datensätze.",
	delete_records			: "Bitte wählen Sie die zu löschenden Datensätze aus.",
	// full message is "Delete X record(s)?"
	delete_records1			: "Wirklich",
	delete_records2			: "Datensätze löschen?",
	// column where list is displayed
	hgrid_first_column		: "Liste",
	
	// editor
	record_not_in_database	: "Datensatz noch nicht gespeichert",

	editor_error_int		: "Wert muß zwischen -32,768 und 32,767 betragen",
	editor_error_longint	: "Wert muß zwischen -2,147,483,648 and 2,147,483,647 betragen",
	editor_imageviewer		: "Bildanzeige",

	editor_selectionview	: "Weitere Informationen über diese Verknüpfungen.",

	/* 1.1 Addition */
	
	// editor choice list
	no_data_found			: "Keine Daten gefunden.",
	
	/* 1.1 Addition ends*/
	
	// window titles
	image_viewer			: "Bildanzeige",
	
	// data tree
	select_branch			: "Bitte wählen Sie einen Zweig aus, in dem der Datensatz angelegt wird.",
	delete_records			: "Bitte wählen Sie den zu löschenden Datensatz aus.",
	// full message is "Delete X record(s)?"
	delete_records1			: "Wirklich",
	delete_records2			: "Datensätz(e) löschen?",
	// column where list is displayed
	hgrid_first_column		: "Liste",

	// boolean values
	
	yes		: "Ja",
	no		: "Nein",
	
	male	: "Herr",
	female	: "Frau",
	
	ttrue	: "Wahr",
	ffalse	: "Falsch",

	// sidebar tooltips
	
	sidebar_logout		: "Abmelden",
	sidebar_console		: "Konsole",
	sidebar_settings	: "Einstellungen",
	
	// window
	
	onbeforeunload		: "Sie verlassen hiermit Ihre DAX Session!",
	
	// query Engine
	
	qe_list				: "Liste", 
	qe_report			: "Bericht", 
	qe_chart			: "Chart", 
	qe_arguments		: ['ist gleich', 'ist ungleich', 'beginnt mit', 'ended mit', 'ist kleiner als', 'ist größer als', 'ist kleiner oder gleich', 'ist größer oder gleich'],

	// Chart Engine
	
	ct_charttypes		: ['Säulen', 'Linien', 'Kuchen'], 

	// Report Engine
	
	rp_select			: "Auswählen", 
	rp_deselect			: "Abwählen", 

	// Browser support
	unsupportedbrowser	: "Ihr Browser wird von 4D Ajax Framework nicht unterstützt. Bitte aktualisieren Sie auf Internet Explorer 7, Firefox 2+ oder Safari 2+.",
	
	// Image browser & data matrix
	ib_toolbar_display	: "Anzeigen",
	ib_toolbar_create	: "Neu",
	ib_toolbar_delete	: "Löschen",
	ib_toolbar_zoom		: "Zoom",
	ib_toolbar_flip		: "Umdrehen",
	ib_toolbar_more		: "Mehr",
	ib_toolbar_less		: "Weniger",
	ib_toolbar_setup	: "Einstellen",
	ib_toolbar_image	: "Bild",
	ib_toolbar_layout	: "Layout",
	ib_toolbar_header	: "Kopf",
	ib_toolbar_top		: "Oben",
	ib_toolbar_bottom	: "Unten",
	ib_toolbar_left		: "Links",
	ib_toolbar_right	: "Rechts",
	ib_toolbar_none		: "Nichts",
	ib_toolbar_sort		: "Sortieren",
	
	/* 1.1 addition */
	save_column_width	: "Spaltenbreiten speichern",
	/* 1.1 addition ends */
	
	/* END LOCALIZATION  */
	
	
	/* FORMATTING */

	admin_titles_integer	: [ "Keine" ,  "9.999.999", 		"$9,999.99",   		"9.999,99 EUR", "99,99 %"],
	admin_values_integer	: [ "i1"    , "i,per,cm,0,", 	"i$,cm,per,2,",		 "i,per,cm,2,EUR", 	    "i,,cm,2,~"],
	
	admin_titles_longint	: [ "Keine" ,  "9.999.999",		"9.999,99 EUR",		"$9,999.99",     "99,99 %"],
	admin_values_longint	: [ "l1"   ,  "l,per,cm,0,",	"l,per,cm,2,EUR",	"l$,cm,per,2,",  "l,,cm,2,~"],	
	
	admin_titles_real		: [ "Keine" ,  "9.999.999",		"99,99 %",		"$9,999.99",  	 "9.999,99 EUR"	],
	admin_values_real		: [ "r1"    , "r,per,cm,0,"	,	"r,,cm,2,~",	"r$,cm,per,2,",  "r,per,cm,2,EUR"],	

	admin_titles_date		: [ "Keine" , "MM-DD-YYYY" ,	 "DD-MM-YYYY" ,	 "DD-Jan-YYYY" ],
	admin_values_date		: [ "d1"   , "dMM-DD-YYYY" , "dDD-MM-YYYY",	 "dDD-MMM-YYYY"],
	
	admin_titles_time		: [ "Keine" ,  "HH:MM:SS",   "HH:MM:SS am/pm",		"HH:MM",	"HH:MM am/pm" ],
	admin_values_time		: [ "t1"    , "tHH:MM:SS",  "tHH:MM:SS am/pm",		"tHH:MM",	"tHH:MM am/pm"],
	
	admin_titles_alpha		: [ "Keine" ,  "GROSS",   "klein"],
	admin_values_alpha		: [ "a1"    , "aUUUU",  	 "auuuu"],
	
	admin_titles_text		: [ "Keine" ,  "GROSS",   "klein"],
	admin_values_text		: [ "x1"    ,  "xUUUU",  	 "xuuuu"],

	// note: these are admin boolean labels, actual boolen values are in the localization section of this file - best thing to do is to update both
	admin_titles_boolean	: [ "None",	"True/False",	"Yes/No",	"Male/Female",	"Checkbox"],
	admin_values_boolean	: [ "b1",	"bTrue",		"bYes",		"bMale",		"bCheckbox"],
	
	admin_titles_none		: ["Keine"],
	admin_values_none		: ["1"],

	
	/* DO NOT MODIFY STRINGS BELOW */
	
	// XML tags & attribute strings
	tableid 		: 'tableid',
	queryid 		: 'queryid',
	tablename 		: 'tablename',
	recordid		: 'recordid',
	selectioncount 	: 'recordsinselection',
	fieldid			: 'id',
	fieldname		: 'name',
	fieldtag		: 'field',
	rowtag			: 'row',
	size			: 'size',
	modify_success	: 'success',
	success_true	: 'true',
	success_false	: 'false',
	recordidtag		: 'recordid',
	
	// field types
	type_alpha		: 'alpha',
	type_text		: 'text',
	type_picture	: 'picture',
	type_real		: 'real',
	type_integer	: 'integer',
	type_longint	: 'longint',
	type_blob		: 'blob',
	type_boolean	: 'boolean',
	type_date		: 'date',
	type_time		: 'time'

};
