﻿// resources.js

// French
var STR_FR = {
	
	/* BEGIN LOCALIZATION  */
	
	// messages
	// depreciated by backend errors
	// will be kept around until mid Oct for backwards compatibility
	status_save_success		: "Sauvé !",
	status_save_fail		: "Sauvegarde échouée !",
	status_locked			: "Lecture seulement",
	status_err_number		: "Valeur numérique invalide.",
	status_err_time			: "Invalid time value.",
	status_err_default		: "Valeur saisie invalide.",
	status_delete_success 	: "Enregistrement effacé.",
	status_err_delete		: "Error deleting record.",
	status_err_required		: "Les champs en rouge sont obligatoires.",
	status_err_dup			: "Valeur unique attendue.",
	status_err_date			: "Mauvais format/valeur de date.",
	status_err_intLength	: "Integer field can not have more than 5 digits.",
	status_err_longIntLength: "Long Int field can not have more than 10 digits.",
	
	// generic messages
	loading					: "Chargement...", 
	none					: "Aucun",
	search					: "Chercher",
	fields					: "Champs",
	
	//toolbar, generic, used by several objects
	button_create			: "Créer",
	button_refresh			: "Rafraîchir",
	button_delete			: "Supprimer",
	button_save				: "Sauver",
	button_cancel			: "Annuler",
	button_ddw1				: "DDW",
	button_close			: "Fermer",
	button_choose			: "Choisir",
	
	// grid
	view_image				: "Voir l'image",
	confirm_delete_records 	: "Effacer ces enregistrements ?",
	all						: "Tous", //for All Records

	// data window tabs tooltips
	and						: "ET", 
	starts_with				: "commence par", 
	
	// calendar
	calendar_month			: ['Janvier','Février','Mars','Avril','Mai','Juin','Juillet','Août','Septembre','Octobre','Novembre','Décembre'],
	calendar_month_abr		: ['Jan','Fev','Mar','Avr','Mai','Jui','Jui','Aou','Sep','Oct','Nov','Dec'],
	calendar_weekday		: ['Dim','Lun','Mar','Mer','Jeu','Ven','Sam'],
	
	// calendar view
	
	// toolbar, date range
	calendar_toolbar_range		: "Plage",			// Range Field_X to Field_Y
	calendar_toolbar_to			: "à",
	calendar_toolbar_display	: "Affichage",		// Display Field_Z
	calendar_toolbar_none		: "Aucun",			// don't use field for Field_y
	
	// taskbar
	taskbar_admin_label		: "Panneau de configuration",		// Admin button
	taskbar_edit			: "Editer",			// Edit WindowX label
	taskbar_views			: "Portail",		// always displayed in DAX app
	taskbar_debug			: "Console",		// debugger
	image					: "Image",			// Image X
	
	// admin
	//
	
	// main tabs
	admin_generalprefs		: "Prefs générales",
	admin_accesscontroltab	: "Contrôle accès",
	admin_ddwmanager		: "Gestionnaire DDW",
	admin_querymanager		: "Gestionnaire de recherche",
	
	// general prefs tab
	admin_taskbarlocation	: "Position barre de tâches :",
	admin_taskbartop		: "Haut",
	admin_taskbarbottom		: "Bas",
	admin_style				: "Style:",
	admin_preload			: "Nombre de sélections préchargées:",

	// ddw tab
	adminDDW_list			: "DDWs",
	adminDDW_title			: "Titre",
	adminDDW_content		: "Contenu",
	adminDDW_type			: "Type",
	adminDDW_newLink		: "Nouvelle fenêtre - Lien",
	adminDDW_newHTML		: "Nouvelle fenêtre - Méthode HTML",
	adminDDW_newText		: "Status Message - Méthode texte",
	adminDDW_associatedTo	: "Associé à",
	adminDDW_portal			: "Portail",
	adminDDW_other			: "Autre",
	adminDDW_create			: "Créer",
	adminDDW_cancel			: "Annuler",	
	adminDDW_noDDWs			: "Vous n'avez pas de DDW.",
	adminDDW_to				: "à",
	
	// query tab
	adminQuery_List			: "Recherches prédéfinies",
	
	adminQuery_name			: "Nom de la recherche",
	adminQuery_text			: "Recherche",
	adminQuery_Selection	: "Sélection",
	
	adminQuery_create		: "Créer",
	adminQuery_save			: "Enregistrer",
	adminQuery_cancel		: "Annuler",
	
	adminQuery_noQueries	: "Vous n'avez pas de recherches prédéfinies.",
	adminQuery_filter		: "Filtre :",
	adminQuery_allrecords	: "Afficher l'onglet Tous Les Enregistrements :",
	adminQuery_all			: "Tout",
	adminQuery_createtitle	: "Créer une recherche prédéfinie pour cette sélection :",	
	adminQuery_new			: "Créer une nouvelle recherche :",	
	adminQuery_dynamic		: "Créer une recherche dynamique :",	
	adminQuery_template		: "Utiliser ce modèle :",	
	adminQuery_template2	: " et l'appliquer à ce champ :",	
	adminQuery_Next			: "Suivant",	
	adminQuery_NotAvailable	: "Pas disponible",	
	adminQuery_error1		: "Veuillez choisir une sélection",	
	adminQuery_error2part1	: "Une recherche ",	
	adminQuery_error2part2	: " existe déjà pour cette sélection.",	
	adminQuery_error3		: "Veuillez entrer un nom",
	adminQuery_Name			: "Nom : ",	
	adminQuery_BoundTo		: " Attachée à :",	
	adminQuery_SortField	: "Tri : Champ : ",	
	adminQuery_SortOrder	: " Ordre :",	
	adminQuery_MaxNb		: "Nombre maximum d'enregistrements : ",	
	adminQuery_AddCondition	: "Ajouter une condition :",	
	adminQuery_Field		: "Champ :",	
	adminQuery_Operator		: "Opérateur :",	
	adminQuery_Value		: "Valeur :",	
	adminQuery_IsAMethod	: "est une méthode :",	
	adminQuery_Link			: "Liée :",	
	adminQuery_Add			: "Ajouter",	
	adminQuery_Conditions	: "Conditions :",	
	adminQuery_Asc			: "Asc",	
	adminQuery_Desc			: "Desc",
	adminQuery_Operator1	: "égal",
	adminQuery_Operator2	: "différent",
	adminQuery_Operator3	: "inférieur",
	adminQuery_Operator4	: "supérieur à",
	adminQuery_Operator5	: "inférieur ou égal",
	adminQuery_Operator6	: "supérieur ou égal",
	adminQuery_Operator7	: "commence par",
	adminQuery_Operator8	: "fini par",
	adminQuery_Link1		: "et",
	adminQuery_Link2		: "ou",
	adminQuery_FieldTitle	: "Champ",
	adminQuery_OperatorTitle: "Opérateur",
	adminQuery_ValueTitle	: "Valeur",
	adminQuery_LinkTitle	: "liée",
	adminQuery_DynamicQuery : "Recherches dynamiques",
	adminQuery_DDTs			: "Onglet Données Pilotées Par",
	adminQuery_dateTip		: "AAAA-MM-JJ",
	adminQuery_error4		: "Veuillez ajouter au moins une condition",
	adminQuery_error5		: "Une recherche dynamique existe déjà pour ce champ.",	
	
	// access control tab
	admin_accesscontrol		: "Contrôle d'accès Administrateur",
	admin_grouppopup		: "Voir les privilèges pour :&nbsp;",
	admin_grouppopupforprefs: "Voir les préférences pour :&nbsp;",
	admin_selections		: "Portlets",
	admin_properties		: "Propriétés",
	admin_allowaccess		: "Autoriser les accès",
	admin_allusers			: "Tous les utilisateurs",
	admin_toggleall			: "Tout inverser : ",	
	admin_none				: "Aucun",
	
	admin_view_titles		: [ "Tableau" , "Calendrier" , "Enumération", "Grille de données", "Grille d'images" ],
	admin_grid_table_labels	: [ "Position", "Autoriser", "Nom réel", "Aliasv DAX", "Style", "Vues" ],
	admin_grid_field_labels	: [ "Position", "Type de données", "Nom réel", "Alias DAX", "Afficher en liste", "Afficher en détail", "Formatage"	],
	
	
	// load page
	// login widget
	login_login				: "Connexion",
	login_username			: "Utilisateur",
	login_password			: "mot de passe",

	// login and logout
	logoutsuccess			: "Vous avez été déconnecté avec succès.",
	logoutfail				: "La déconnexion a échoué.",
	logoutconfirm			: "Etes vous sûr de vouloir vous déconnecter ?",
	
	// admin, misc
	new_view				: "Nouvelle vue",
	delete_view				: "Supprimer la vue",
	no_relation_found		: "Aucune relation trouvée.",
	go						: "Go", // ***
	
	top_columns				: [ "Position","Nom réel","Alias DAX","Type","Style","Boutons DDW","Vues"],		
	bottom_columns			: [ "Position","Nom réel","Alias DAX","Type","Formatage","Niveau d'arrêt","Evènement OnLoad","Evènement OnChange","Lien DDW"],
	
	// window titles
	image_viewer			: "Visualisateur d'images",
	
	// data tree
	select_branch			: "Veuillez sélectionner le noeud où l'enregistrement sera créé.",
	delete_records			: "Veuillez sélectionner le ou les enregistrements à supprimer.",
	// full message is "Delete X record(s)?"
	delete_records1			: "Supprimer",
	delete_records2			: "enregistrement(s) ?",
	// column where list is displayed
	hgrid_first_column		: "Liste",
	
	// editor
	record_not_in_database	: "L'enregistrement n'est pas encore dans la base.",

	editor_error_int		: "La valeur doit être comprise entre -32,768 et 32,767",
	editor_error_longint	: "La valeur doit être comprise entre -2,147,483,648 et 2,147,483,647",
	editor_imageviewer		: "Visualisateur d'images",	
	
	editor_selectionview	: "Nifty tip. It's supposed to be helpful.",

	/* 1.1 Addition */
	
	// editor choice list
	no_data_found			: "Aucune donnée n'a été trouvée'.",

	/* 1.1 Addition ends*/
	
	// window titles
	image_viewer			: "Visualisateur d'images",
	
	// data tree
	select_branch			: "Veuillez sélectionner le noeud où l'enregistrement sera créé.",
	delete_records			: "Veuillez sélectionner le ou les enregistrements à supprimer.",
	// full message is "Delete X record(s)?"
	delete_records1			: "Supprimer",
	delete_records2			: "enregistrement(s) ?",
	// column where list is displayed
	hgrid_first_column		: "Liste",
	
	// boolean values
	
	yes		: "oui",
	no		: "non",
	
	male	: "Homme",
	female	: "Femme",
	
	ttrue	: "vrai",
	ffalse	: "faux",

	// sidebar tooltips
	
	sidebar_logout		: "Déconnexion",
	sidebar_console		: "Console",
	sidebar_settings	: "Panneau de configuration",

	// window
	
	onbeforeunload		: "Si vous quittez, vos sessions DAX ne seront pas conservées !",

	// query Engine
	
	qe_list				: "Liste",
	qe_report			: "Etat",
	qe_chart			: "Diagramme", 
	qe_arguments		: ['est égal à', 'est différent de', 'commence par', 'se termine par', 'est plus petit que', 'est plus grand que', 'est plus petit ou égal à', 'est plus grand ou égal à'],

	// Chart Engine
	
	ct_charttypes		: ['Colonne', 'Ligne', 'Camembert'],

	// Report Engine
	
	rp_select			: "Sélectionner",
	rp_deselect			: "Désélectionner",

	// Browser support
	unsupportedbrowser	: "4D Ajax Framework ne supporte pas ce navigateur. Veuillez utiliser Internet Explorer 7, Firefox 2+ ou Safari 2+.",

	// Image browser & data matrix
	ib_toolbar_display	: "Affichage",
	ib_toolbar_create	: "Créer",
	ib_toolbar_delete	: "Supprimer",
	ib_toolbar_zoom		: "Zoom",
	ib_toolbar_flip		: "Flip over",
	ib_toolbar_more		: "Plus",
	ib_toolbar_less		: "Moins",
	ib_toolbar_setup	: "Setup",
	ib_toolbar_image	: "Image",
	ib_toolbar_layout	: "Format",
	ib_toolbar_header	: "Entête",
	ib_toolbar_top		: "Haut",
	ib_toolbar_bottom	: "Bas",
	ib_toolbar_left		: "Gauche",
	ib_toolbar_right	: "Droite",
	ib_toolbar_none		: "Aucun",
	ib_toolbar_sort		: "Trier",

	/* 1.1 addition */
	save_column_width	: "Sauvegarder la taille des colonnes.",
	/* 1.1 addition ends */
	
	/* END LOCALIZATION  */
	
	
	/* FORMATTING */

	admin_titles_integer	: [ "None" ,  "9,999,999", 		"$9,999.99",   		"9.999,99 EUR",  		"99.99 %"],
	admin_values_integer	: [ "i1"    , "i,cm,per,0,", 	"i$,cm,per,2,",		 "i,per,cm,2,EUR", 	    "i,,per,2,~"],
	
	admin_titles_longint	: [ "None" ,  "9,999,999",		"9.999,99 EUR",		"$9,999.99",     "99.99 %"],
	admin_values_longint	: [ "l1"   ,  "l,cm,per,0,",	"l,per,cm,2,EUR",	"l$,cm,per,2,",  "l,,per,2,~"],	
	
	admin_titles_real		: [ "None" ,  "9,999,999",		"99.99 %",		"$9,999.99",  	 "9.999,99 EUR"	],
	admin_values_real		: [ "r1"    , "r,cm,per,0,"	,	"r,,per,2,~",	"r$,cm,per,2,",  "r,per,cm,2,EUR"],	

	admin_titles_date		: [ "None" , "MM-DD-YYYY" ,	 "DD-MM-YYYY" ,	 "DD-Jan-YYYY" ],
	admin_values_date		: [ "d1"   , "dMM-DD-YYYY" , "dDD-MM-YYYY",	 "dDD-MMM-YYYY"],
	
	admin_titles_time		: [ "None" ,  "HH:MM:SS",   "HH:MM:SS am/pm",		"HH:MM",	"HH:MM am/pm" ],
	admin_values_time		: [ "t1"    , "tHH:MM:SS",  "tHH:MM:SS am/pm",		"tHH:MM",	"tHH:MM am/pm"],
	
	admin_titles_alpha		: [ "None" ,  "UPPERCASE",   "lowercase"],
	admin_values_alpha		: [ "a1"    , "aUUUU",  	 "auuuu"],
	
	admin_titles_text		: [ "None" ,  "UPPERCASE",   "lowercase"],
	admin_values_text		: [ "x1"    ,  "xUUUU",  	 "xuuuu"],
	
	// note: these are admin boolean labels, actual boolen values are in the localization section of this file - best thing to do is to update both
	admin_titles_boolean	: [ "Aucun",	"Vrai/Faux",	"Oui/Non",	"Homme/Femme",	"Boite à cocher"],
	admin_values_boolean	: [ "b1",	"bTrue",		"bYes",		"bMale",		"bCheckbox"],
	
	admin_titles_none		: ["None"],
	admin_values_none		: ["1"],

	
	/* DO NOT MODIFY STRINGS BELOW */
	
	// XML tags & attribute strings
	tableid 		: 'tableid',
	queryid 		: 'queryid',
	tablename 		: 'tablename',
	recordid		: 'recordid',
	selectioncount 	: 'recordsinselection',
	fieldid			: 'id',
	fieldname		: 'name',
	fieldtag		: 'field',
	rowtag			: 'row',
	size			: 'size',
	modify_success	: 'success',
	success_true	: 'true',
	success_false	: 'false',
	recordidtag		: 'recordid',
	
	// field types
	type_alpha		: 'alpha',
	type_text		: 'text',
	type_picture	: 'picture',
	type_real		: 'real',
	type_integer	: 'integer',
	type_longint	: 'longint',
	type_blob		: 'blob',
	type_boolean	: 'boolean',
	type_date		: 'date',
	type_time		: 'time'

};