// reports.js

function RP_PageLoad(rpObjectParent, rpQueryID, rpTableName) {

	// make the call for the chart
	this.RP_Submit = function ( rpObject ) {
		var columnFields = this.getElementByClassName(rpObject, 'dax_rp_columnfields');
		var rpTableID = tableObject.tableid;

		var reportURL = '/DAX/report?sessionid=' + top.dax_bridge.sessionId + '&queryid=' + rpQueryID + '&tableid=' + rpTableID;
		reportURL += '&columns=';

		for ( var i = 0 ; i < columnFields.options.length ; i++ ) {
			reportURL += columnFields.options[i].value + ',';
		}

		top.debugAlert('<b>Report:</b>'+'<a href="'+reportURL+'" target="_blank">'+reportURL+'</a>');
		var myDDW = new this.DDW( reportURL, 'static_url', STR['qe_report'] );
	}

	this.RP_AddRemoveColumn = function ( from, to ) {
		var fieldsSelect = from;
		var selectedColumns = to;
		
		if (( selectedColumns.options.length > 0 ) && ( selectedColumns.options[0].value == '' )) {
			selectedColumns.options.length = 0;
		}

		var selected = false;
		for ( var i = 0 ; i < fieldsSelect.options.length ; i++ ) {
			var current = fieldsSelect.options[i];
			if ( current.selected ) {
				selected = true;
				if ( current.value == '' ) {
					return;
				}
				
				txt = current.text;
				val = current.value;
				selectedColumns.options[selectedColumns.length] = new Option(txt,val);
				fieldsSelect.options[i] = null;
				i--;
			}
		}
	}


// *** start of main function
	rpObjectParent.innerHTML = '';

// get the html template code and clone it
	var rpObjectTemplate = this.getTemplate('dax_report_engine');
	var rpObject = rpObjectTemplate.cloneNode(true);
	rpObject.style.display = 'block';

// get a unique id for the cloned template
	var i = 1;
	while (this.$('dax_report_engine' + i) != null) {
		i++;
	}
	rpObject.id = 'dax_report_engine' + i;

//	get the selected table object
	var tableObject = top.getTable(rpTableName);

// cache the fields for the selected table
	top.dax_bridge.cacheFields( tableObject );

// get the available fields select object
	var fieldsSelect = this.getElementByClassName(rpObject, 'dax_rp_fieldsselect');
	fieldsSelect.name = fieldsSelect.name + '1';

// load the fields for the fields select object
	var selectOption = this.getElementByClassName(rpObject, 'dax_rp_fieldsoption');
	for ( var i = 0 ; i < tableObject.fields.length ; i++ ) {
		selectOption.text = tableObject.fields[i].fieldalias;
		selectOption.value = tableObject.fields[i].fieldid;
		fieldsSelect.appendChild( selectOption );
		selectOption = selectOption.cloneNode(true);
	}

// get the column fields select object
	var columnsSelect = this.getElementByClassName(rpObject, 'dax_rp_columnfields');
	columnsSelect.name = columnsSelect.name + '1';

// assign the add and remove column clicks
	var addColumnButton = this.getElementByClassName(rpObject, 'dax_rp_selectbutton', true);
	var removeColumnButton = this.getElementByClassName(rpObject, 'dax_rp_deselectbutton', true);
	addColumnButton.innerHTML = STR['rp_select'] + ' -->';
	removeColumnButton.innerHTML = '<-- ' + STR['rp_deselect'];
	addColumnButton.onclick = function () { RP_AddRemoveColumn(fieldsSelect,columnsSelect); return false; };
	removeColumnButton.onclick = function () { RP_AddRemoveColumn(columnsSelect,fieldsSelect); return false; };

//	set up the submit button
	var reportButton = this.getElementByClassName(rpObject, 'dax_rp_report', true);
	reportButton.innerHTML = STR['qe_report'];
	reportButton.onclick = function() { RP_Submit(rpObject); return false; };		

// append the ct object to the passed div
	rpObjectParent.appendChild(rpObject);
}
